# Patchwork - automated patch tracking system
# Copyright (C) 2005 Jeremy Kerr <jk@ozlabs.org>
# - Modified by David Howells <dhowells@redhat.com>
#
# This file is part of the Patchwork package.
#
# Patchwork is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Patchwork is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Patchwork; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package PatchWork::Patch;

use strict;

# internal variables
#  id
#  archived
#  state
#  project
#  bug
#  patchfile

sub new($)
{
	my ($cls) = @_;
	my $obj = {};
	bless($obj, $cls);
	$obj->{archived} = 0;
	$obj->{state} = 1;
	$obj->{project} = ();
	$obj->{bug} = ();
	$obj->{patchfile} = ();
	return $obj;
}

sub id(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{id} = shift }
	return $obj->{id};
}

sub state(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{state} = shift }
	return $obj->{state};
}

sub archived(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{archived} = shift }
	return $obj->{archived};
}

sub project(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{project} = shift }
	return $obj->{project};
}

sub bug(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{bug} = shift }
	return $obj->{bug};
}

sub patchfile($)
{
	my ($obj) = shift;
	if (@_) { $obj->{patchfile} = shift }
	return $obj->{patchfile};
}

1;
