# Patchwork - automated patch tracking system
# Copyright (C) 2005 Jeremy Kerr <jk@ozlabs.org>
# - Modified by David Howells <dhowells@redhat.com>
#
# This file is part of the Patchwork package.
#
# Patchwork is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Patchwork is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Patchwork; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package PatchWork::Person;

use strict;

# internal variables
#   email
#   name

sub new(@)
{
	my $cls = shift;
	my $obj = {};
	bless($obj, $cls);
	$obj->{email} = shift;
	$obj->{name} = shift;
	$obj->{id} = shift;
	return $obj;
}

sub id(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{id} = shift }
	return $obj->{id};
}

sub email(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{email} = shift }
	return $obj->{email};
}

sub name(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{name} = shift }
	return $obj->{name};
}

sub username(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{username} = shift }
	return $obj->{username};
}

1;
