###############################################################################
#
# Copyright (C) 2005 Red Hat, Inc. All Rights Reserved.
# Written by David Howells (dhowells@redhat.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version
# 2 of the License, or (at your option) any later version.
#
###############################################################################

package PatchWork::Submission;

use strict;

# internal variables
#  id
#  msgid
#  date
#  subject
#  submitter
#  comments

sub new($)
{
	my ($cls) = @_;
	my $obj = {};
	bless($obj, $cls);
	$obj->{id} = ();
	$obj->{msgid} = ();
	$obj->{date} = ();
	$obj->{subject} = ();
	$obj->{submitter} = ();
	$obj->{comments} = ();
	$obj->{npatches} = 0;
	return $obj;
}

sub id(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{id} = shift }
	return $obj->{id};
}

sub msgid(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{msgid} = shift }
	return $obj->{msgid};
}

sub date(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{date} = shift }
	return $obj->{date};
}

sub subject(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{subject} = shift }
	return $obj->{subject};
}

sub submitter(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{submitter} = shift }
	return $obj->{submitter};
}

sub npatches($;$)
{
	my ($obj) = shift;
	if (@_) { $obj->{npatches} = shift }
	return $obj->{npatches};
}

1;
