#!/usr/bin/perl -wT
###############################################################################
#
# Copyright (C) 2005 Red Hat, Inc. All Rights Reserved.
# Written by David Howells (dhowells@redhat.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version
# 2 of the License, or (at your option) any later version.
#
###############################################################################

use strict;
use lib '../lib';

use PatchWork::SiteConfig;
use PatchWork::PatchDatabase;
use PatchWork::Web;
use PatchWork::Web::Auth;
use CGI;

my $config = new PatchWork::SiteConfig() or die "Couldn't load configuration";
my $w = new PatchWork::Web($config);
$w->authenticate(1);

my $cgi = new CGI;

sub error($)
{
	my ($errstr) = @_;
	print $w->header('Error Changing Password');
	print $cgi->p($errstr);
	print $w->footer();
	exit;
}

#print $w->header('Change password');

print $cgi->header();
print $cgi->start_html('Change password');
print "\n";
print $cgi->h1('Change password');
print "\n";

print $cgi->start_form(-method => 'POST',
		       -action => 'setpassword.pl');
print "\n";

print $cgi->table($cgi->Tr([ $cgi->td([ 'New Password:',
					$cgi->password_field(-name => 'password1')
					]),
			     $cgi->td([ 'Retype Password:',
					$cgi->password_field(-name => 'password2')
					]),
			     $cgi->td([ '',
					$cgi->submit()
					])
			     ])
		  );
print "\n";

print $cgi->end_form();
print "\n";
print $cgi->end_html();
#print $w->footer();
