#!/usr/bin/perl -wT
#
# Patchwork - automated patch tracking system
# Copyright (C) 2005 Jeremy Kerr <jk@ozlabs.org>
# - Modified by David Howells <dhowells@redhat.com>
#
# This file is part of the Patchwork package.
#
# Patchwork is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Patchwork is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Patchwork; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

use strict;
use lib '../lib';

use PatchWork::SiteConfig;
use PatchWork::PatchDatabase;
use PatchWork::Web;

my $config = new PatchWork::SiteConfig() or die "Couldn't load configuration";
my $w = new PatchWork::Web($config);

sub no_patch()
{
	print $w->header("Patch not found");
	print "The patch requested was not found";
	print $w->footer();
	exit;
}

my $id = $w->params("id");
no_patch() unless $id && $id =~ m/^[0-9]+$/;

my $patch = $w->db->get_patch($id);
no_patch() unless $patch;

my $patchfile = $patch->patchfile();

my $filename = $patchfile->filename();
$filename = 'patchwork-' . $patchfile->id() . '.patch' unless $filename;

print "Content-Type: text/x-patch\n";
print "Content-Disposition: attachment; filename=".$filename."\n\n";
print $patchfile->content();

