#!/usr/bin/perl -wT
###############################################################################
#
# Copyright (C) 2005 Red Hat, Inc. All Rights Reserved.
# Written by David Howells (dhowells@redhat.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version
# 2 of the License, or (at your option) any later version.
#
###############################################################################

use strict;
use lib '../lib';

use PatchWork::SiteConfig;
use PatchWork::PatchDatabase;
use PatchWork::Web;
use PatchWork::Web::Auth;
use CGI;

my $config = new PatchWork::SiteConfig() or die "Couldn't load configuration";
my $w = new PatchWork::Web($config);
$w->authenticate(1);

my $password1 = $w->params('password1');
my $password2 = $w->params('password2');


if ($password1 ne $password2) {
	print $w->header('Error: Passwords Differ');
	print $w->footer();
	exit;
}

$w->db->change_password($w->auth()->user(), $password1);


printf("Location: %s\n\n", "index.pl");
